from taller_programacion import *
"""
Movemos los leds a la derecha sin parar!

"""

luces.pintarArcoiris()		# Pintamos un arcoiris
while cierto:				# Mientras se cumpla la condición se repetira todo el rato lo que hay escrito en el
    luces.moverDerecha()	# Movemos las luces a la derecha
    luces.iluminar()		# Las iluminamos
    dormir(0.2)				# Esperamos entre repeticiones
                            # Volvemos a empezar
                         
"""
Movemos los leds a la derecha hasta que giremos el mando1

"""
"""
luces.pintarArcoiris()		# Pintamos un arcoiris
while mandos.posiciones_mando1 == 0: 	# Mientras se cumpla la condición se repetira todo el rato lo que hay escrito en el
    luces.moverDerecha()	# Movemos las luces a la derecha
    luces.iluminar()		# Las iluminamos
    dormir(0.2)				# Esperamos entre repeticiones
                            # Volvemos a empezar
"""

"""
Movemos los leds a la derecha tantas veces como giramos el mando1

"""
"""
luces.borrar()										# Borramos lo anteriormente pintado
luces.pintarLed(25, "blanco")						# Pintamos un punto blanco en medio
luces.iluminar()									# iluminamos
while cierto: 										# Mientras se cumpla la condición se repetira todo el rato lo que hay escrito en el
    valor_mando1 = mandos.posiciones_mando1			# Guardamos el valor de las posiciones que se ha movido el mando
    if valor_mando1 > 0:							# Si hemos girado el mando1
        luces.moverDerecha(pasos=valor_mando1)		# Movemos las luces a la derecha los mismos pasos que hemos girado
        luces.iluminar()							# Las iluminamos
    dormir(0.2)										# Esperamos entre repeticiones
                                                    # Volvemos a empezar
                
"""